<?php

namespace Src\Modules\JsonObjects\Interfaces\Application;

use Src\Modules\JsonObjects\Interfaces\IFactory as IModuleFactory;
use Src\Modules\JsonObjects\Interfaces\Application\IDomain;
use Src\Modules\JsonObjects\Application\FilesBrowser;

interface IFactory {
    public function init(array $conf = []): void;
    public function setModuleFactory(IModuleFactory $factorory):void;
    public function getModuleFactory(): IModuleFactory;
    public function getDomain():IDomain;
    public function getFilesBrowser(): FilesBrowser;
}